Core resources
Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgetsBooking flow
Query availabilitySearch availabilityBookiduuidUnique identifier
created_attimestamp with time zoneCreation timestamp
updated_attimestamp with time zoneLast modification timestamp
confirmed_attimestamp with time zone | nullTimestamp at which the booking was confirmed
currencyCurrencyBase currency of the booking
display_currencyCurrencyCurrency used to display prices to the customer
exchange_raterealExchange rate used to convert the booking currency to the display currency
ftstsvectormethodtextMethod used to make the booking, request or book
occupancyRecord<uuid, number>Occupancy per capacity group.
referencetextPublicly visible reference of the booking
secrettextSecret reference of the booking
silentbooleanWhether the booking was made without automatically sending a confirmation email
JSON
{
"id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"site_id": "00000000-0000-0000-0000-000000000000",
"widget_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-03-12T04:02:28.654Z",
"updated_at": "2026-03-12T04:02:28.654Z",
"confirmed_at": "2026-03-12T04:02:28.654Z",
"currency": "USD",
"display_currency": "USD",
"exchange_rate": 0,
"method": "request",
"occupancy": {
"00000000-0000-0000-0000-000000000000": 1
},
"reference": "",
"secret": "extensions.uuid_generate_v4()",
"silent": false
}idFilter<uuid>Unique identifier
organization_idFilter<uuid>Identifier of the organization this booking is defined in
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
confirmed_atFilter<timestamp with time zone | null>Timestamp at which the booking was confirmed
currencyFilter<Currency>Base currency of the booking
display_currencyFilter<Currency>Currency used to display prices to the customer
exchange_rateFilter<real>Exchange rate used to convert the booking currency to the display currency
ftsFilter<tsvector>methodFilter<text>Method used to make the booking, request or book
occupancyFilter<Record<uuid, number>>Occupancy per capacity group.
referenceFilter<text>Publicly visible reference of the booking
secretFilter<text>Secret reference of the booking
silentFilter<boolean>Whether the booking was made without automatically sending a confirmation email
200A list of bookings with the selected columns
206Partial Content
GET /bookingscurl -X GET "https://api.bookingmood.com/v1/bookings?select=*" \
-H "Authorization: Bearer YOUR_API_KEY"idFilter<uuid>Unique identifier
organization_idFilter<uuid>Identifier of the organization this booking is defined in
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
confirmed_atFilter<timestamp with time zone | null>Timestamp at which the booking was confirmed
currencyFilter<Currency>Base currency of the booking
display_currencyFilter<Currency>Currency used to display prices to the customer
exchange_rateFilter<real>Exchange rate used to convert the booking currency to the display currency
ftsFilter<tsvector>methodFilter<text>Method used to make the booking, request or book
occupancyFilter<Record<uuid, number>>Occupancy per capacity group.
referenceFilter<text>Publicly visible reference of the booking
secretFilter<text>Secret reference of the booking
silentFilter<boolean>Whether the booking was made without automatically sending a confirmation email
204The deleted bookings with the selected columns
DELETE /bookingscurl -X DELETE "https://api.bookingmood.com/v1/bookings" \
-H "Authorization: Bearer YOUR_API_KEY"idFilter<uuid>Unique identifier
organization_idFilter<uuid>Identifier of the organization this booking is defined in
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
confirmed_atFilter<timestamp with time zone | null>Timestamp at which the booking was confirmed
currencyFilter<Currency>Base currency of the booking
display_currencyFilter<Currency>Currency used to display prices to the customer
exchange_rateFilter<real>Exchange rate used to convert the booking currency to the display currency
ftsFilter<tsvector>methodFilter<text>Method used to make the booking, request or book
occupancyFilter<Record<uuid, number>>Occupancy per capacity group.
referenceFilter<text>Publicly visible reference of the booking
secretFilter<text>Secret reference of the booking
silentFilter<boolean>Whether the booking was made without automatically sending a confirmation email
Partial<Booking>204The updated bookings with the selected columns
PATCH /bookingscurl -X PATCH "https://api.bookingmood.com/v1/bookings" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{}'